.roadmap-wrapper {
  padding: 133px 0 171px 0;
  background: linear-gradient(109.89deg, rgba(77, 77, 77, 0.23) -12.87%, rgba(50, 49, 57, 0.23) 91.04%),
  url("../img/roadmap-bg.png") no-repeat center / cover;
}

.roadmap {
  display: flex;
  flex-direction: column;
  align-items: center;
}

.roadmap > h2 {
  margin-bottom: 48px;
}

.roadmap > p {
  margin-bottom: 72px;
  text-align: center;
}

.roadmap-item {
  z-index: 1;
  position: relative;
  padding: 20px 20px 42px 24px;
  background: rgba(255, 255, 255, 0.08);
  backdrop-filter: blur(28px);
  -webkit-backdrop-filter: blur(28px);
  border-radius: 12px;
}

.roadmap-banana {
  position: absolute;
  right: 7px;
  bottom: 16px;
  animation: vertical 2s ease-in-out infinite alternate;
}

.roadmap__line_to-right::before {
  content: "";
  z-index: 0;
  position: absolute;
  width: 96px;
  height: 5px;
  background: var(--yellow-gradient-1to2);
  top: 50%;
  left: 100%;
  transform: translateY(-50%);
}

.roadmap__line_to-bottom::after {
  content: "";
  z-index: 0;
  position: absolute;
  width: 5px;
  height: 96px;
  background: var(--yellow-gradient-1to2);
  top: 100%;
  left: 50%;
  transform: translateX(-50%);
}

.roadmap-item__heading {
  background: var(--yellow-gradient-1to2);
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
  font-weight: 900;
  font-size: 10px;
  line-height: 176%;
}

.roadmap-item__text {
  font-weight: 700;
  font-size: 16px;
  line-height: 150%;
  color: #fff;
}

.roadmap-line {
  display: none;
}

.roadmap-item__text strong {
  text-transform: uppercase;
  color: var(--yellow-1);
  font-size: 16px;
  line-height: 24px;
}

.roadmap-item__hint {
  margin-top: 4px;
  font-size: 14px;
  line-height: 120%;
  color: #838383;
}

@media (min-width: 1024px) {
  .roadmap-line {
    display: block;
  }

  .roadmap-items {
    align-self: stretch;
    display: grid;
    grid-template: repeat(3, 1fr) / repeat(3, 1fr);
    grid-gap: 64px 82px;
  }

  .roadmap-item {
    transform: translateY(100px);
    opacity: 0;
    position: relative;
  }

  .roadmap-item.opened {
    transition: all .75s;
    opacity: 1;
    transform: translateY(0);
  }

  .roadmap-item.opened::after {
    display: none;
  }

  .roadmap-item.opened::before {
    display: none;
  }

  .roadmap-line {
    position: absolute;
    background: var(--yellow-gradient-1to2);
    transition: all .75s .75s;
  }

  .roadmap-line.to-right {
    top: 50%;
    left: 100%;
    transform: translateY(-50%);
    height: 5px;
    width: 0;
  }

  .roadmap-item.opened .roadmap-line.to-right {
    width: 95px;
  }

  .roadmap-line.to-left {
    top: 50%;
    right: 100%;
    transform: translateY(-50%);
    height: 5px;
    width: 0;
  }

  .roadmap-item.opened .roadmap-line.to-left {
    width: 96px;
  }

  .roadmap-line.to-bottom {
    left: 50%;
    top: 100%;
    transform: translateX(-50%);
    height: 0;
    width: 5px;
  }

  .roadmap-item.opened .roadmap-line.to-bottom {
    height: 96px;
  }
}

@media (max-width: 1023px) {
  .roadmap-wrapper {
    padding: 133px 0 91px 0;
    background: linear-gradient(109.89deg, rgba(77, 77, 77, 0.23) -12.87%, rgba(50, 49, 57, 0.23) 91.04%);
  }

  .roadmap-wrapper .container {
    padding: 0;
  }

  .roadmap {
    position: relative;
  }

  .roadmap > p {
    text-align: left;
  }

  .roadmap > p, .roadmap h2, .roadmap-items {
    padding: var(--mobile-container-padding);
  }

  .roadmap-items {
    display: flex;
    overflow-x: auto;
    max-width: 100%;
  }

  .roadmap-items::-webkit-scrollbar {
    display: none;
  }

  .roadmap-item {
    flex: 0 0 79%;
    max-width: 270px;
  }

  .roadmap-item:not(:last-child) {
    margin-right: 24px;
  }

  .roadmap-item:not(:last-child)::after {
    content: "";
    position: absolute;
    left: 100%;
    top: 50%;
    transform: translateY(-50%);
    width: 36px;
    height: 5px;
    background: var(--yellow-gradient-1to2);
  }

  .roadmap-dots {
    padding: var(--mobile-container-padding);
    display: flex;
    align-items: center;
    align-self: flex-start;
    margin-top: 24px;
  }

  .roadmap-dots > .roadmap-dot {
    height: 8px;
    width: 8px;
    border-radius: 2px;
    background: #3A3941;
    cursor: pointer;
  }

  .roadmap-dots > .roadmap-dot.active {
    height: 10px;
    width: 10px;
    background: linear-gradient(99.23deg, #FFC700 3.42%, #FFD362 112.15%);
  }

  .roadmap-dots > .roadmap-dot:not(:last-child) {
    margin-right: 4px;
  }
}